<?php

use Illuminate\Support\Facades\Route;
use Modules\Channel\Http\Controllers\AdvertiserController;
use Modules\Channel\Http\Controllers\PayTemplateController;
use Modules\Channel\Http\Controllers\UserMiniprogramController;
use Modules\System\Http\Controllers\NoticesController;
use Modules\System\Http\Controllers\NoticeTypesController;

Route::prefix('channel')->group(function () {
    Route::post('advertiser/add', [AdvertiserController::class, 'addAdvertiser']);
    Route::post('advertiser/updateAdvertiser', [AdvertiserController::class, 'updateAdvertiser']);

    Route::get('advertiser/listAdvertiser', [AdvertiserController::class, 'listAdvertiser']);
    Route::get('advertiser/getAdvertiser', [AdvertiserController::class, 'getAdvertiser']);

    Route::get('miniprogram/list', [UserMiniprogramController::class, 'index']);


    //支付模板
    Route::prefix('paytemplate')->group(function(){
        Route::get('optionTypeList',[PayTemplateController::class,'optionTypeList'])->withoutMiddleware(config('catch.route.middlewares'));
        Route::get('optionSequence',[PayTemplateController::class,'optionSequence'])->withoutMiddleware(config('catch.route.middlewares'));
        Route::get('list',[PayTemplateController::class,'index']);
        Route::get('show/{id}',[PayTemplateController::class,'show']);
        Route::post('store',[PayTemplateController::class,'store']);
        Route::post('update/{id}',[PayTemplateController::class,'update']);
        Route::post('updateStatus/{id}',[PayTemplateController::class,'updateStatus']);//->withoutMiddleware(config('catch.route.middlewares'));;
    });


});

